Package org.globus.io.streams

# Class GridFTPOutputStream

java.lang.Object
java.io.OutputStream
org.globus.io.streams.GlobusOutputStream
org.globus.io.streams.FTPOutputStream
org.globus.io.streams.GridFTPOutputStream

All Implemented Interfaces:
  `Closeable`, `Flushable`, `AutoCloseable`

public class GridFTPOutputStream extends FTPOutputStream

## Field Summary

### Fields inherited from class org.globus.io.streams.FTPOutputStream

`ftp, output, state`

## Constructor Summary

Constructors
Constructor
Description
`GridFTPOutputStream(GSSCredential cred, String host, int port, String file, boolean append)`
`GridFTPOutputStream(GSSCredential cred, Authorization auth, String host, int port, String file, boolean append, boolean reqDCAU)`
`GridFTPOutputStream(GSSCredential cred, Authorization auth, String host, int port, String file, boolean append, boolean passive, int type, boolean reqDCAU)`
`GridFTPOutputStream(GSSCredential cred, Authorization auth, String host, int port, String file, boolean append, boolean passive, int type, boolean reqDCAU, long size)`
`GridFTPOutputStream(GSSCredential cred, Authorization auth, String host, int port, String file, boolean append, boolean reqDCAU, long size)`

## Method Summary

### Methods inherited from class org.globus.io.streams.FTPOutputStream

`abort, close, flush, put, write, write, write`

### Methods inherited from class java.io.OutputStream

`nullOutputStream`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GridFTPOutputStream

public GridFTPOutputStream(GSSCredential cred, String host, int port, String file, boolean append) throws IOException, FTPException

Throws:
  `IOException`
  `FTPException`

### GridFTPOutputStream

public GridFTPOutputStream(GSSCredential cred, Authorization auth, String host, int port, String file, boolean append, boolean reqDCAU) throws IOException, FTPException

Throws:
  `IOException`
  `FTPException`

### GridFTPOutputStream

public GridFTPOutputStream(GSSCredential cred, Authorization auth, String host, int port, String file, boolean append, boolean reqDCAU, long size) throws IOException, FTPException

Throws:
  `IOException`
  `FTPException`

### GridFTPOutputStream

public GridFTPOutputStream(GSSCredential cred, Authorization auth, String host, int port, String file, boolean append, boolean passive, int type, boolean reqDCAU) throws IOException, FTPException

Throws:
  `IOException`
  `FTPException`

### GridFTPOutputStream

public GridFTPOutputStream(GSSCredential cred, Authorization auth, String host, int port, String file, boolean append, boolean passive, int type, boolean reqDCAU, long size) throws IOException, FTPException

Throws:
  `IOException`
  `FTPException`